Package org.jboss.resteasy.core.interception.jaxrs

## Class ClientWriterInterceptorContext

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.AbstractWriterInterceptorContext
  - - org.jboss.resteasy.core.interception.jaxrs.ClientWriterInterceptorContext

- All Implemented Interfaces:
    `javax.ws.rs.ext.InterceptorContext`, `javax.ws.rs.ext.WriterInterceptorContext`, `AsyncWriterInterceptorContext`

      public class ClientWriterInterceptorContext
      extends AbstractWriterInterceptorContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​Object>` | `properties` |

    - ### Fields inherited from class org.jboss.resteasy.core.interception.jaxrs.AbstractWriterInterceptorContext

      `annotations, entity, genericType, headers, index, interceptors, mediaType, outputStream, providerFactory, requireAsyncIO, tracingLogger, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientWriterInterceptorContext​(javax.ws.rs.ext.WriterInterceptor[] interceptors, ResteasyProviderFactory providerFactory, Object entity, Class type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> headers, OutputStream outputStream, Map<String,​Object> properties)` | Deprecated.
    `ClientWriterInterceptorContext​(javax.ws.rs.ext.WriterInterceptor[] interceptors, ResteasyProviderFactory providerFactory, Object entity, Class type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> headers, OutputStream outputStream, Map<String,​Object> properties, RESTEasyTracingLogger tracingLogger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getProperty​(String name)` |
    `Collection<String>` | `getPropertyNames()` |
    `void` | `removeProperty​(String name)` |
    `protected javax.ws.rs.ext.MessageBodyWriter` | `resolveWriter()` |
    `void` | `setProperty​(String name, Object object)` |

    - ### Methods inherited from class org.jboss.resteasy.core.interception.jaxrs.AbstractWriterInterceptorContext

      `asyncProceed, getAnnotations, getAsyncOutputStream, getEntity, getGenericType, getHeaders, getMediaType, getOutputStream, getProcessedInterceptorCount, getStarted, getType, getWriter, preferAsyncIo, proceed, setAnnotations, setAsyncOutputStream, setEntity, setGenericType, setMediaType, setOutputStream, setType, syncProceed, traceAfter, traceBefore, writeTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected Map<String,​Object> properties

  - ### Constructor Detail

    - #### ClientWriterInterceptorContext

          @Deprecated
          public ClientWriterInterceptorContext​(javax.ws.rs.ext.WriterInterceptor[] interceptors,
                                                ResteasyProviderFactory providerFactory,
                                                Object entity,
                                                Class type,
                                                Type genericType,
                                                Annotation[] annotations,
                                                javax.ws.rs.core.MediaType mediaType,
                                                javax.ws.rs.core.MultivaluedMap<String,​Object> headers,
                                                OutputStream outputStream,
                                                Map<String,​Object> properties)

      Deprecated.

    - #### ClientWriterInterceptorContext

          public ClientWriterInterceptorContext​(javax.ws.rs.ext.WriterInterceptor[] interceptors,
                                                ResteasyProviderFactory providerFactory,
                                                Object entity,
                                                Class type,
                                                Type genericType,
                                                Annotation[] annotations,
                                                javax.ws.rs.core.MediaType mediaType,
                                                javax.ws.rs.core.MultivaluedMap<String,​Object> headers,
                                                OutputStream outputStream,
                                                Map<String,​Object> properties,
                                                RESTEasyTracingLogger tracingLogger)

  - ### Method Detail

    - #### resolveWriter

          protected javax.ws.rs.ext.MessageBodyWriter resolveWriter()

      Specified by:
        `resolveWriter` in class `AbstractWriterInterceptorContext`

    - #### getProperty

          public Object getProperty​(String name)

    - #### getPropertyNames

          public Collection<String> getPropertyNames()

    - #### setProperty

          public void setProperty​(String name,
                                  Object object)

    - #### removeProperty

          public void removeProperty​(String name)